Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.atna
Class SecurityDomainException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ohf.ihe.common.atna.SecurityDomainException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NoSecurityDomainException

    public class SecurityDomainException

extends java.lang.Exception

Since:
  OHF 0.1.0
Author:
  Glenn Deen glenn@almaden.ibm.com
See Also:
  Serialized Form

Constructor Summary
`SecurityDomainException(java.lang.String domain)`
`SecurityDomainException(java.lang.String domain, java.lang.String message)`
`SecurityDomainException(java.lang.String domain, java.lang.String message, java.lang.Throwable cause)`
`SecurityDomainException(java.lang.String domain, java.lang.Throwable cause)`

Method Summary
`java.lang.String` | `getDomain()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityDomainException

    public SecurityDomainException(java.lang.String domain)

### SecurityDomainException

    public SecurityDomainException(java.lang.String domain,
                                   java.lang.String message)

Parameters:
  `message` -

### SecurityDomainException

    public SecurityDomainException(java.lang.String domain,
                                   java.lang.Throwable cause)

Parameters:
  `cause` -

### SecurityDomainException

    public SecurityDomainException(java.lang.String domain,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### getDomain

    public java.lang.String getDomain()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD